{
  "extends": "../tsconfig.base.json",
  "compilerOptions": {
    "rootDir": ".",
    "outDir": "../dist/core",
    "baseUrl": ".",
    "composite": true,
    "declaration": true,
    "declarationMap": true,
    "sourceMap": true,
    "types": ["vitest/globals"],
    "paths": {
      "@/*": ["./*"],
      "@core/*": ["./*"],
      "@adapters/*": ["../adapters/*"],
      "@testing/*": ["../testing/*"]
    }
  },
  "include": ["**/*.ts"],
  "exclude": ["node_modules", "dist"]
}